Bug 973474 (CVE-2013-1571) - CVE-2013-1571 OpenJDK: Frame injection in generated HTML (Javadoc, 8012375)
Summary: CVE-2013-1571 OpenJDK: Frame injection in generated HTML (Javadoc, 8012375)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-1571
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130618,repor...
Depends On:
Blocks: 973111 973494 973505
TreeView+ depends on / blocked
 
Reported: 2013-06-12 02:21 UTC by David Jorm
Modified: 2019-06-08 19:36 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-02 14:39:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0957 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2013-06-20 04:03:33 UTC
Red Hat Product Errata RHSA-2013:0958 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2013-06-20 04:03:25 UTC
Red Hat Product Errata RHSA-2013:0963 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2013-11-13 16:09:17 UTC
Red Hat Product Errata RHSA-2013:1014 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2013-07-03 21:08:42 UTC
Red Hat Product Errata RHSA-2013:1059 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2013-11-13 16:09:07 UTC
Red Hat Product Errata RHSA-2013:1060 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2013-11-13 16:13:46 UTC
Red Hat Product Errata RHSA-2013:1081 normal SHIPPED_LIVE Important: java-1.5.0-ibm security update 2013-11-13 16:13:08 UTC
Red Hat Product Errata RHSA-2013:1455 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-10-23 20:30:21 UTC
Red Hat Product Errata RHSA-2013:1456 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-10-23 20:29:56 UTC
Red Hat Product Errata RHSA-2014:0414 normal SHIPPED_LIVE Important: java-1.6.0-sun security update 2017-12-15 19:38:49 UTC

Description David Jorm 2013-06-12 02:21:40 UTC
It was found that documentation generated by javadoc was vulnerable to a frame injection attack. If such documentation was accessible over a network, and a remote attacker could trick a user into visiting a specially-crafted URL, it would lead to arbitrary web script execution in the context of the user's session if permitted by the browser. It could also be used to perform a phishing attack, by providing frame content that spoofed a login form on the site hosting the vulnerable documentation.

Comment 2 Murray McAllister 2013-06-18 10:27:17 UTC
Acknowledgements:

Red Hat would like to thank US-CERT for reporting this issue. US-CERT acknowledges Oracle as the original reporter.

Comment 4 Tomas Hoger 2013-06-18 20:05:48 UTC
Public now via Oracle Java SE CPU June 2013:
http://www.oracle.com/technetwork/topics/security/javacpujun2013-1899847.html

Fixed available in Oracle Java SE 7u45.

CERT vulnerability note VU#225657:
http://www.kb.cert.org/vuls/id/225657

Oracle has made a Java API Documentation Updater Tool available that can be used to fix generated Javadoc documentation without regenerating it:
http://www.oracle.com/technetwork/java/javase/7u25-relnotes-1955741.html#jpi-upt
http://www.oracle.com/technetwork/java/javase/downloads/java-doc-updater-tool-1955731.html

Comment 5 errata-xmlrpc 2013-06-20 00:04:35 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0958 https://rhn.redhat.com/errata/RHSA-2013-0958.html

Comment 6 errata-xmlrpc 2013-06-20 00:09:00 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0957 https://rhn.redhat.com/errata/RHSA-2013-0957.html

Comment 7 Stefan Cornelius 2013-06-20 12:34:03 UTC
OpenJDK7 upstream repositories commit:

http://hg.openjdk.java.net/jdk7u/jdk7u-dev/langtools/rev/17ee569d0c01

Comment 10 errata-xmlrpc 2013-06-20 14:56:36 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0963 https://rhn.redhat.com/errata/RHSA-2013-0963.html

Comment 12 Vincent Danen 2013-06-21 14:30:48 UTC
Users of libreoffice-sdk-doc are also affected by this flaw, if they serve these files via a web server.  Apache OpenOffice has provided a replacement index.html for /usr/lib/libreoffice/sdk/docs/java/ref/index.html (the path of the vulnerable index.html in 32bit Fedora installations); of course their index.html is meant for OpenOffice.org as opposed to LibreOffice.

http://www.openoffice.org/security/cves/CVE-2013-1571.html

Comment 15 errata-xmlrpc 2013-07-03 17:10:40 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:1014 https://rhn.redhat.com/errata/RHSA-2013-1014.html

Comment 17 errata-xmlrpc 2013-07-15 20:42:15 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1060 https://rhn.redhat.com/errata/RHSA-2013-1060.html

Comment 18 errata-xmlrpc 2013-07-15 20:51:13 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1059 https://rhn.redhat.com/errata/RHSA-2013-1059.html

Comment 19 Jan Lieskovsky 2013-07-16 08:55:35 UTC
Apache Ant upstream has released 1.9.2 version:
  [1] http://ant.apache.org/antnews.html

which between other changes also introduces mitigation for CVE-2013-1571 flaw:
[2] http://www.apache.org/dist/ant/RELEASE-NOTES-1.9.2.html
[3] https://issues.apache.org/bugzilla/show_bug.cgi?id=55132

Relevant patch being:
[4] http://svn.apache.org/viewvc?view=revision&revision=1496083

Comment 20 errata-xmlrpc 2013-07-16 17:23:49 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2013:1081 https://rhn.redhat.com/errata/RHSA-2013-1081.html

Comment 25 errata-xmlrpc 2013-10-23 16:42:45 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.5

Via RHSA-2013:1456 https://rhn.redhat.com/errata/RHSA-2013-1456.html

Comment 26 errata-xmlrpc 2013-10-23 16:53:50 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html

Comment 27 errata-xmlrpc 2014-04-17 11:33:07 UTC
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:0414 https://rhn.redhat.com/errata/RHSA-2014-0414.html


Note You need to log in before you can comment on or make changes to this bug.